## player 0.1.0

=== DESCRIPTION ===
Package: player
Title: Play Games in the Console
Version: 0.1.0
Authors@R: c(
    person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0001-9412-0457")),
    person("Alan", "Beale", , "12dicts@pobox.com", role = "dtc",
           comment = "Word lists"),
    person("Kevin", "Atkinson", , "kevina@users.sourceforge.net", role = "dtc",
           comment = "Word lists"),
    person("Luis", "Von Ahn", role = "dtc",
           comment = "Word lists"),
    person("Flavia", "Rossell Hayes", role = "ill"),
    person("Kristin", "Bott", , "kristin.bott@posit.co", role = "ctb",
           comment = "look_busy() status messages"),
    person("Daniel", "Chen", , "daniel.chen@posit.co", role = "ctb",
           comment = c(ORCID = "0000-0003-3857-1741", "look_busy() status messages")),
    person("Steven", "Smallberg", , "steven.smallberg@posit.co", role = "ctb",
           comment = "look_busy() status messages")
  )
Description: Games that can be played in the R console.  Includes coin
    flip, hangman, jumble, magic 8 ball, poker, rock paper scissors, shut
    the box, spelling bee, and 2048.
License: MIT + file LICENSE
URL: https://github.com/rossellhayes/player
BugReports: https://github.com/rossellhayes/player/issues
Depends: R (>= 3.5)
Imports: and, cli, crayon, dplyr, glue, nnet, plu, purrr, R6, rlang,
        stats, stringr, tools, twenty48 (>= 0.2.1), utils, withr
Suggests: job, rstudioapi, testthat (>= 3.0.0)
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2025-09-16 14:22:54 UTC; alex
Author: Alexander Rossell Hayes [aut, cre, cph] (ORCID:
    <https://orcid.org/0000-0001-9412-0457>),
  Alan Beale [dtc] (Word lists),
  Kevin Atkinson [dtc] (Word lists),
  Luis Von Ahn [dtc] (Word lists),
  Flavia Rossell Hayes [ill],
  Kristin Bott [ctb] (look_busy() status messages),
  Daniel Chen [ctb] (ORCID: <https://orcid.org/0000-0003-3857-1741>,
    look_busy() status messages),
  Steven Smallberg [ctb] (look_busy() status messages)
Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
Repository: CRAN
Date/Publication: 2025-09-22 08:10:02 UTC
