=== config/CMakeLists.txt ===
SET (sampleConfigFiles  amigobot.cfg
                        amigobot_tcp.cfg
                        amtecM5.cfg
                        b21r_rflex_lms200.cfg
                        cvcam.cfg
                        dummy.cfg
                        erratic.cfg
                        hokuyo_aist.cfg
                        iwspy.cfg
                        joystick.cfg
                        lms400.cfg
                        magellan.cfg
                        mapfile.cfg
                        mbicp.cfg
                        nomad.cfg
                        obot.cfg
                        passthrough.cfg
                        phidgetIFK.cfg
                        phidgetRFID.cfg
                        pioneer.cfg
                        pioneer_rs4euze.cfg
                        pointcloud3d.cfg
                        readlog.cfg
                        rfid.cfg
                        roomba.cfg
                        segwayrmp.cfg
                        service_adv.cfg
                        simple.cfg
                        sphere.cfg
                        umass_ATRVJr.cfg
                        umass_ATRVMini.cfg
                        umass_reb.cfg
                        urglaser.cfg
                        vfh.cfg
                        wavefront.cfg
                        wbr914.cfg
                        writelog.cfg
                        wsn.cfg)

INSTALL (FILES ${sampleConfigFiles} DESTINATION "share/${PROJECT_NAME_LOWER}/config" COMPONENT samplecfg)
