=== server/drivers/blobfinder/CMakeLists.txt ===
ADD_SUBDIRECTORY (acts)
ADD_SUBDIRECTORY (artoolkitplus)
ADD_SUBDIRECTORY (cmvision)
ADD_SUBDIRECTORY (shapetracker)
ADD_SUBDIRECTORY (simpleshape)
ADD_SUBDIRECTORY (upcbarcode)
