=== server/drivers/camera/CMakeLists.txt ===
ADD_SUBDIRECTORY (v4l)
ADD_SUBDIRECTORY (v4l2)
ADD_SUBDIRECTORY (1394)
ADD_SUBDIRECTORY (camfilter)
ADD_SUBDIRECTORY (compress)
ADD_SUBDIRECTORY (cvcam)
ADD_SUBDIRECTORY (imageseq)
ADD_SUBDIRECTORY (sphere)
ADD_SUBDIRECTORY (uvc)
ADD_SUBDIRECTORY (yarp)
ADD_SUBDIRECTORY (unicap)
ADD_SUBDIRECTORY (videocanny)
