=== server/drivers/position/CMakeLists.txt ===
ADD_SUBDIRECTORY (ascension)
ADD_SUBDIRECTORY (bumpersafe)
ADD_SUBDIRECTORY (deadstop)
ADD_SUBDIRECTORY (globalize)
ADD_SUBDIRECTORY (goto)
ADD_SUBDIRECTORY (isense)
ADD_SUBDIRECTORY (lasersafe)
ADD_SUBDIRECTORY (mbicp)
ADD_SUBDIRECTORY (microstrain)
ADD_SUBDIRECTORY (motionmind)
ADD_SUBDIRECTORY (nav200)
ADD_SUBDIRECTORY (nd)
ADD_SUBDIRECTORY (segwayrmp400)
ADD_SUBDIRECTORY (snd)
ADD_SUBDIRECTORY (roboteq)
ADD_SUBDIRECTORY (vfh)
