=== debian/changelog ===
player (3.0.1+dfsg-1.1ubuntu3) maverick; urgency=low

  * libplayercommon3.0-dev.install: added headers in libplayercommon as they
    are required for some headers in libplayercore3.0-dev package

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 26 Sep 2010 14:09:04 +0200

player (3.0.1+dfsg-1.1ubuntu2) maverick; urgency=low

  * libplayerc3.0-dev: Install playerconfig.h. LP: #629416.
  * Fix build failure on armel, patch from Daniel Hess, taken from the Debian
    bug tracker:

  * Fix FTBS on armel, alpha and ia64 by using non-paused port io operations
    instead of the “_p” onces not defined on this architectures
    (fix-portio.patch).
  * Fix FTBS on mips and mipsel by removing zero initializer from 'struct
    sigaction' variables. 'struct sigaction' is defined different on mips and
    mipsel and the variables are set directly after declaration anyway.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Sep 2010 18:14:44 +0200

player (3.0.1+dfsg-1.1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    + debian/control: fix opencv build-depends to require version 2 or newer.
    + debian/python-playerc.install: changed site-package to dist-package 
      (transition to python2.6).
  * debian/control: drop libphidgets-dev from build-deps (removed from archive)
  * debian/patches/python-binding-path: added to install python bindings in
    dist-package.

 -- Andrea Colangelo <warp10@ubuntu.com>  Tue, 11 Aug 2010 12:44:06 +0200

player (3.0.1+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add cmake build-dependency (Closes: #578785)

 -- Christoph Egger <christoph@debian.org>  Sat, 22 May 2010 11:46:13 +0200

player (3.0.1+dfsg-1) unstable; urgency=low

  * New upstream version. Closes: #528653, #487395.
    - Clean up sources to remove files that we aren't using
      in Debian and are not DFSG, and unlabeled ones we also 
      aren't using
  * Ack patch from Daniel Hess. Closes: #494713
    - Fix typo in package description.
    - Add man pages for installed binaries
    - Stronger dependencies betwen libplayer*-dev and libplayer*
  * Standards-Version to 3.8.4: No changes needed
  * Add and remove packages for new and removed / renamed libraries

 -- Michael Janssen <jamuraa@debian.org>  Tue, 30 Mar 2010 18:41:22 -0500

player (2.1.2-1) unstable; urgency=low

  * New upstream version. Closes: #528653, #487395.
  * Ack patches from Daniel Hess - changes are incorporaed. Closes: #494713.
    - Update package names in Build-Depends. 
    - Fix typo in package description.
    - Add man pages for installed binaries.
    - Tighten depends between libplayer*-dev and libplayer* packages by
      including exact version.
    - Reflect changes to *.pc files in the corresponding libplayer*-dev
      packages.
  * Add packages for libplayerutils2, libplayerutils2-dev, 
    libplayerudp2, libplayerudp2-dev.
  * Use dpatch. 
  * Standards-Version to 3.8.1.

 -- Michael Janssen <jamuraa@debian.org>  Tue, 02 Jun 2009 22:06:37 -0500

player (2.0.4-4) unstable; urgency=low

  * Fix #includes for GCC 4.3. Closes: #456063.
  * Standards-Version bump to 3.7.3

 -- Michael Janssen <jamuraa@debian.org>  Thu, 28 Feb 2008 12:11:03 -0600

player (2.0.4-3.3ubuntu6) maverick; urgency=low

  * Rebuild against new opencv soname.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 10 Aug 2010 00:13:37 +0200

player (2.0.4-3.3ubuntu5) lucid; urgency=low

  * Fix opencv build-depends to require version 2 or newer

 -- Luka Renko <lure@ubuntu.com>  Tue, 22 Dec 2009 23:59:32 +0100

player (2.0.4-3.3ubuntu4) lucid; urgency=low

  * Library transition for opencv 2.0
    - add build-depend on libcvaux-dev
  * debian/patches/gcc_const_char_fix.patch: fix build with 
    more strict gcc

 -- Luka Renko <lure@ubuntu.com>  Sun, 20 Dec 2009 19:11:17 +0100

player (2.0.4-3.3ubuntu3) jaunty; urgency=low

  * debian/python-playerc.install: changed site-package to dist-package 
    (transition to python2.6) (LP: #344487)
  * debian/control: add build dependency on quilt
  * debian/rules: add include of quilt's makefile and targets
  * debian/patches/python2.6_transition.patch: update Makefile.in to add 
    --install-layout=deb parameter to setup.py call

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Tue, 17 Mar 2009 19:50:29 +0000

player (2.0.4-3.3ubuntu2) jaunty; urgency=low

  * Add libvorbis-dev and libtheora-dev to build-depends, fix FTBFS.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 11 Nov 2008 23:44:26 +0100

player (2.0.4-3.3ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - (Build-)depend on libdc1394-22-dev | libdc1394-dev

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 11 Nov 2008 18:32:26 +0100

layer (2.0.4-3.2ubuntu2) intrepid; urgency=low

  * (Build-)dependency must be libdc1394-22-dev instead.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 20 Sep 2008 15:19:52 +0200

player (2.0.4-3.2ubuntu1) intrepid; urgency=low

  * (Build-)depend on libdc1394-dev instead of libdc1394-13-dev.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 20 Sep 2008 14:13:22 +0200

player (2.0.4-3) unstable; urgency=low

  * Add player-pmaptest to the set of utilities installed. (closes: #444257)
  * Stop working around python-central bugs that are fixed. (closes: #432740)
  * Move Homepage to real field in control file. 

 -- Michael Janssen <jamuraa@debian.org>  Tue, 27 Nov 2007 00:12:14 -0600

player (2.0.4-2) unstable; urgency=low

  * Depends update in order to depend on libgsl0dbl.

 -- Michael Janssen <jamuraa@debian.org>  Mon, 20 Aug 2007 21:40:08 -0500

player (2.0.4-1) unstable; urgency=low

  * Initial release. Closes: #282022.

 -- Michael Janssen <jamuraa@debian.org>  Thu, 17 May 2007 01:46:48 -0500
