=== debian/control ===
Source: player
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Janssen <jamuraa@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libmagick++-dev, libgsl0-dev, libcv-dev (>= 2), libhighgui-dev (>= 2), libcvaux-dev (>= 2), libgtk2.0-dev, libdc1394-22-dev, libboost-signals-dev, libboost-thread-dev, swig, libjpeg-dev, python-central (>= 0.5), doxygen, linux-libc-dev | linux-kernel-headers, libgnomecanvas2-dev, python-dev, freeglut3-dev, graphviz, ruby, ruby-dev, libtheora-dev, libgeos-dev, libpqxx-dev, libxmu-dev, libasound2-dev, libstatgrab-dev, cmake
XS-Python-Version: all
Standards-Version: 3.8.4
Homepage: http://playerstage.sourceforge.net/

Package: robot-player
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 Player supports a wide variety of mobile robots and accessories.

Package: robot-player-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Networked server for robots and sensors (documentation)
 Player provides a common interface to a variety of robot and 
 sensor hardware.  The client/server model allows robot programs to be
 written in many programming languages.  This package provides the
 Doxygen documentation for robot-player, libplayercore, libplayerc++, 
 libplayerc, libplayerdrivers, libplayercommon, libplayertcp, 
 libplayerinterface, libplayerwkb, and libplayerudp.

Package: robot-player-dev
Architecture: all
Depends: libplayertcp3.0-dev (>= ${source:Version}), libplayerc++3.0-dev (>= ${source:Version}), libplayerdrivers3.0-dev (>= ${source:Version}), libplayerwkb3.0-dev (>= ${source:Version}), ${misc:Depends}
Description: Networked server for robots and sensors - development package
 Player proovides a common interface to a variety of robot and}
 sensor hardware.  The client/server model allows robot programs to be
 written in many programming languages.  This metapackage provides an easy way
 to install all the development libraries at once by depending on them.

Package: libplayercommon3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - common functions
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to the robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains shared functions for log and error handling.

Package: libplayercommon3.0-dev
Provides: libplayercommon-dev
Conflicts: libplayercommon-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayercommon3.0 (= ${binary:Version})
Description: Networked server for robots and sensors - error handling development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the development files for error handling.


Package: libplayercore3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - core library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the shared library bridging the gap between the
 devices supported by Player and the interfaces which are defined, including
 the messages and queues in which messages are stored.

Package: libplayercore3.0-dev
Provides: libplayercore-dev, libplayercore2-dev
Conflicts: libplayercore-dev, libplayercore2-dev
Replaces: libplayercore2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayercore3.0 (= ${binary:Version}), libplayercommon3.0-dev (= ${binary:Version}), libplayerinterface3.0-dev (= ${binary:Version}), libgeos-dev
Description: Networked server for robots and sensors - core library development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the development files for utilizing the 
 library bridging the gap between the devices supported by Player and the
 interfaces which are defined, including the messages and queues in which
 messages are stored.

Package: libplayertcp3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - tcp library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the library which moves messages from Player
 message queues to the TCP socket, and vice-versa.

Package: libplayertcp3.0-dev
Provides: libplayertcp-dev, libplayertcp2-dev, libplayerudp-dev, libplayerudp2-dev
Conflicts: libplayertcp-dev, libplayertcp2-dev, libplayerudp-dev, libplayerudp2-dev
Replaces: libplayertcp2-dev, libplayerudp2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayertcp3.0 (= ${binary:Version}), libplayercore3.0-dev (= ${binary:Version}), libplayerinterface3.0-dev (= ${binary:Version})
Description: Networked server for robots and sensors - tcp library development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the development files for using the library which moves
 messages from Player message queues to the TCP socket, and vice-versa.

Package: libplayerc3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - C client library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the C library for interface to Player servers.

Package: libplayerc3.0-dev
Provides: libplayerc-dev, libplayerc2-dev
Conflicts: libplayerc-dev, libplayerc2-dev
Replaces: libplayerc2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayerc3.0 (= ${binary:Version}), libplayercommon3.0-dev (= ${binary:Version})
Description: Networked server for robots and sensors - C client library development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the files required to utilize the C client library

Package: libplayerc++3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - C++ client library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the C++ library for interface to Player servers.

Package: libplayerc++3.0-dev
Provides: libplayerc++-dev, libplayerc++2-dev
Conflicts: libplayerc++-dev, libplayerc++2-dev
Replaces: libplayerc++2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplayerc++3.0 (= ${binary:Version}), libplayerc3.0-dev (= ${binary:Version}), libplayercommon3.0-dev (= ${binary:Version}), libboost-thread-dev, libboost-signals-dev
Description: Networked server for robots and sensors - C++ client library development files
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains the files required to utilize the C++ client library

Package: libplayerdrivers3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Networked server for robots and sensors - hardware drivers library
 Provides a network interface to a variety of robot and sensor
 hardware.  Player's client/server model allows robot control programs
 to be written in any programming language and to run on any computer 
 with a network connection to th e robot. Player supports multiple 
 concurrent client connections to devices, creating new possibilities 
 for distributed and collaborative sensing and control.
 .
 This package contains drivers required to run hardware available through
 the Player server.

Package: libplayerdrivers3.0-dev
Provides: libplayerdrivers-dev, libplayerdrivers2-dev
Conflicts: libplayerdrivers-dev, libplayerdrivers2-dev
Replaces: libplayerdrivers2-dev
Section: libdevel
Architecture: any
